# Update assignment skill category

Endpoint: PUT /unifiedRouting/skillCategory
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `id` (string)
    Skill category id

## Request fields (application/json):

  - `id` (string)
    Unique id of Skill Category

  - `name` (string)
    Name of Skill Category

  - `description` (string)
    Description of Skill Category

  - `skills` (array)
    Skills associated with Skill Category

  - `skills.id` (string)
    Unique id of Skill

  - `skills.skill` (string)
    Name of Skill

  - `skills.description` (string)
    Description of Skill

  - `skills.skillCategory` (string)
    Category of Skill

  - `skills.createdTime` (integer)
    Created time of Skill

  - `skills.modifiedTime` (integer)
    Modified time of Skill

  - `shareConfigs` (array)
    Share configs of Skill Category

  - `shareConfigs.type` (string, required)
    Type e.g. USER, GLOBAL, CLIENT

  - `shareConfigs.ids` (array)
    IDs based on type.

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

